Skip to main content
GET
/
v1
/
deposits
/
{id}
Get deposit status
curl --request GET \
  --url https://api.example.com/v1/deposits/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/v1/deposits/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/v1/deposits/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "createdAt": "2024-01-15T10:30:00Z",
  "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
  "status": "pending",
  "updatedAt": "2024-01-15T10:30:00Z"
}

Authorizations

Authorization
string
header
required

Enter Auth0 JWT token

Path Parameters

id
string
required

Unique deposit identifier (UUID format)

Example:

"123e4567-e89b-12d3-a456-426614174000"

Response

Deposit status retrieved successfully

createdAt
string<date-time>
required

Creation timestamp

Example:

"2024-01-15T10:30:00Z"

id
string<uuid>
required

Unique identifier for the pay-in

Example:

"123e4567-e89b-12d3-a456-426614174000"

status
enum<string>
required

Current status of the pay-in

Available options:
pending,
processing,
completed,
failed,
cancelled,
refunding,
refunded,
in_review
Example:

"completed"

updatedAt
string<date-time>
required

Last update timestamp

Example:

"2024-01-15T10:35:00Z"

errorMessage
string

Error message if the pay-in failed

Example:

"Payment declined by bank"

providerTransactionId
string

Transaction ID from the payment provider

Example:

"TXN-123456789"